<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../../../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../../../jacoco-resources/report.gif" type="image/gif"/><title>ProductsTest.java</title><link rel="stylesheet" href="../../../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../../../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../../../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../../../index.html" class="el_report">green-grocery (01-Nov-2022 11:59:04 pm)</a> &gt; <a href="../../index.html" class="el_group">green-grocery</a> &gt; <a href="../index.html" class="el_bundle">src/test/java</a> &gt; <a href="index.source.html" class="el_package">com.example.demo</a> &gt; <span class="el_source">ProductsTest.java</span></div><h1>ProductsTest.java</h1><pre class="source lang-java linenums">package com.example.demo;

import static org.junit.jupiter.api.Assertions.assertNotNull;

import org.junit.jupiter.api.Test;
import org.mockito.Mock;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.jdbc.AutoConfigureTestDatabase;
import org.springframework.boot.test.autoconfigure.jdbc.AutoConfigureTestDatabase.Replace;
import org.springframework.boot.test.autoconfigure.orm.jpa.DataJpaTest;
import org.springframework.test.annotation.Rollback;

import com.example.demo.model.Products;
import com.example.demo.repository.ProductRepository;

@DataJpaTest
@AutoConfigureTestDatabase(replace = Replace.NONE)
@Rollback(value=false)
<span class="fc" id="L19">public class ProductsTest {</span>
	@Autowired
    private ProductRepository repo;
    
    @Mock
    Products products;
    
    @Test
    public void testCreateProduct() {
<span class="fc" id="L28">         Products products = new Products();</span>
<span class="fc" id="L29">            products.setId((long) 1);</span>
<span class="fc" id="L30">            products.setProductName(&quot;amul&quot;);</span>
<span class="fc" id="L31">            products.setDescription(&quot;icecream&quot;);</span>
<span class="fc" id="L32">            products.setPrice(&quot;200&quot;);</span>
<span class="fc" id="L33">            products.setQuantity(&quot;4&quot;);</span>
<span class="fc" id="L34">            assertNotNull(repo.save(products));</span>
             
<span class="fc" id="L36">                   }</span>
    
    @Test
    public void testCreateProduct1() {
<span class="fc" id="L40">         Products products = new Products();</span>
<span class="fc" id="L41">            products.setId((long) 1);</span>
<span class="fc" id="L42">            products.setProductName(&quot;amul1&quot;);</span>
<span class="fc" id="L43">            products.setDescription(&quot;icecream1&quot;);</span>
<span class="fc" id="L44">            products.setPrice(&quot;200&quot;);</span>
<span class="fc" id="L45">            products.setQuantity(&quot;4&quot;);</span>
<span class="fc" id="L46">            assertNotNull(repo.save(products));</span>
             
<span class="fc" id="L48">                   }</span>
    

    @Test
    public void testCreateProduct2() {
<span class="fc" id="L53">         Products products = new Products();</span>
<span class="fc" id="L54">            products.setId((long) 2);</span>
<span class="fc" id="L55">            products.setProductName(&quot;amul2&quot;);</span>
<span class="fc" id="L56">            products.setDescription(&quot;icecream1&quot;);</span>
<span class="fc" id="L57">            products.setPrice(&quot;200&quot;);</span>
<span class="fc" id="L58">            products.setQuantity(&quot;4&quot;);</span>
<span class="fc" id="L59">            assertNotNull(repo.save(products));</span>
             
<span class="fc" id="L61">                   }</span>
    
    @Test
    public void testCreateProduct3() {
<span class="fc" id="L65">         Products products = new Products();</span>
<span class="fc" id="L66">            products.setId((long) 3);</span>
<span class="fc" id="L67">            products.setProductName(&quot;amul2&quot;);</span>
<span class="fc" id="L68">            products.setDescription(&quot;icecream1&quot;);</span>
<span class="fc" id="L69">            products.setPrice(&quot;200&quot;);</span>
<span class="fc" id="L70">            products.setQuantity(&quot;4&quot;);</span>
<span class="fc" id="L71">            assertNotNull(repo.save(products));</span>
             
<span class="fc" id="L73">                   }</span>
    
    @Test
    public void testCreateProduct4() {
<span class="fc" id="L77">         Products products = new Products();</span>
<span class="fc" id="L78">            products.setId((long) 4);</span>
<span class="fc" id="L79">            products.setProductName(&quot;amul2&quot;);</span>
<span class="fc" id="L80">            products.setDescription(&quot;icecream1&quot;);</span>
<span class="fc" id="L81">            products.setPrice(&quot;200&quot;);</span>
<span class="fc" id="L82">            products.setQuantity(&quot;4&quot;);</span>
<span class="fc" id="L83">            assertNotNull(repo.save(products));</span>
             
<span class="fc" id="L85">                   }</span>
    
    @Test
    public void testCreateProduct5() {
<span class="fc" id="L89">         Products products = new Products();</span>
<span class="fc" id="L90">            products.setId((long) 5);</span>
<span class="fc" id="L91">            products.setProductName(&quot;amul2&quot;);</span>
<span class="fc" id="L92">            products.setDescription(&quot;icecream1&quot;);</span>
<span class="fc" id="L93">            products.setPrice(&quot;200&quot;);</span>
<span class="fc" id="L94">            products.setQuantity(&quot;4&quot;);</span>
<span class="fc" id="L95">            assertNotNull(repo.save(products));</span>
             
<span class="fc" id="L97">                   }</span>
    
    @Test
    public void testCreateProduct6() {
<span class="fc" id="L101">         Products products = new Products();</span>
<span class="fc" id="L102">            products.setId((long) 6);</span>
<span class="fc" id="L103">            products.setProductName(&quot;amul2&quot;);</span>
<span class="fc" id="L104">            products.setDescription(&quot;icecream1&quot;);</span>
<span class="fc" id="L105">            products.setPrice(&quot;200&quot;);</span>
<span class="fc" id="L106">            products.setQuantity(&quot;4&quot;);</span>
<span class="fc" id="L107">            assertNotNull(repo.save(products));</span>
             
<span class="fc" id="L109">                   }</span>
    @Test
    public void testCreateProduct7() {
<span class="fc" id="L112">         Products products = new Products();</span>
<span class="fc" id="L113">            products.setId((long) 7);</span>
<span class="fc" id="L114">            products.setProductName(&quot;amul2&quot;);</span>
<span class="fc" id="L115">            products.setDescription(&quot;icecream1&quot;);</span>
<span class="fc" id="L116">            products.setPrice(&quot;200&quot;);</span>
<span class="fc" id="L117">            products.setQuantity(&quot;4&quot;);</span>
<span class="fc" id="L118">            assertNotNull(repo.save(products));</span>
             
<span class="fc" id="L120">                   }</span>
    
    @Test
    public void testCreateProduct8() {
<span class="fc" id="L124">         Products products = new Products();</span>
<span class="fc" id="L125">            products.setId((long) 8);</span>
<span class="fc" id="L126">            products.setProductName(&quot;amul2&quot;);</span>
<span class="fc" id="L127">            products.setDescription(&quot;icecream1&quot;);</span>
<span class="fc" id="L128">            products.setPrice(&quot;200&quot;);</span>
<span class="fc" id="L129">            products.setQuantity(&quot;4&quot;);</span>
<span class="fc" id="L130">            assertNotNull(repo.save(products));</span>
             
<span class="fc" id="L132">                   }</span>
    
    @Test
    public void testCreateProduct9() {
<span class="fc" id="L136">         Products products = new Products();</span>
<span class="fc" id="L137">            products.setId((long) 9);</span>
<span class="fc" id="L138">            products.setProductName(&quot;amul2&quot;);</span>
<span class="fc" id="L139">            products.setDescription(&quot;icecream1&quot;);</span>
<span class="fc" id="L140">            products.setPrice(&quot;200&quot;);</span>
<span class="fc" id="L141">            products.setQuantity(&quot;4&quot;);</span>
<span class="fc" id="L142">            assertNotNull(repo.save(products));</span>
             
<span class="fc" id="L144">                   }</span>
    @Test
    public void testCreateProduct10() {
<span class="fc" id="L147">         Products products = new Products();</span>
<span class="fc" id="L148">            products.setId((long) 10);</span>
<span class="fc" id="L149">            products.setProductName(&quot;amul2&quot;);</span>
<span class="fc" id="L150">            products.setDescription(&quot;icecream1&quot;);</span>
<span class="fc" id="L151">            products.setPrice(&quot;200&quot;);</span>
<span class="fc" id="L152">            products.setQuantity(&quot;4&quot;);</span>
<span class="fc" id="L153">            assertNotNull(repo.save(products));</span>
             
<span class="fc" id="L155">                   }</span>
    
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span>green-grocery (01-Nov-2022 11:59:04 pm)</div></body></html>